
QGIS Application - Bug report #7729

Save of edited layer results in duplicated data

2013-04-28 01:46 AM - Patrick Dunford

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 16637

Description

This happens very often when making changes to layers. On pressing the save, it is not clear where this data comes from, whether it is

data that has been previously deleted, or is a duplicate copy of all data that has been changed and needs to be saved. But the attribute

table shows extra rows have been added by the save operation, and extra features are visible.

The layer type is ESRI Shapefile and is file based.

I used 1.8 extensively and never saw this problem until I started using 1.9

QGIS version    1.9.0-Master    QGIS code revision    2a4d79d

Compiled against Qt    4.7.1    Running against Qt    4.7.1

Compiled against GDAL/OGR    1.9.2    Running against GDAL/OGR    1.9.2

GEOS Version    3.3.6    PostgreSQL Client Version    8.3.10

SpatiaLite Version    3.0.1    QWT Version    5.2.1

PROJ.4 Version    480    QScintilla2 Version    2.6.2

History

#1 - 2013-04-28 03:50 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Category set to Vectors

- Priority changed from Normal to Severe/Regression

- Crashes QGIS or corrupts data changed from No to Yes

- Operating System deleted (Windows)

- OS version deleted (8)

I have seen this too (on linux) and I was about to file a ticket.

#2 - 2013-04-28 12:35 PM - Alessandro Ciali

I experienced it too. In my case, the duplicated object comes using the merge feature tool during editing: after saving, one feature appears, while another

has been duplicated (only the shape, the attributes remaining those of the feature the has gone). The problem seems not to occur if the merge action is

performed after a save and is followed by another save editing.

Btw, I'm experienced some misbehaviour during editing with master on win machine, that can be summarized:

- loss of features (related with merge tool?);

- all feature disappear if using modifing tools (node, split feature, move/rotate); no snap is possible over the disappeared feature until save edits is done.

There are other tickets concerning these arguments:
- Bug #7472 (New): vector editing errors;

- Bug #7267: loss of attributes during cut feature operation;

- Bug #7668 (New): Merge feature tools causes Qgis crash;

Jürgen Fischer posted a link about:  http://lists.osgeo.org/pipermail/qgis-developer/2013-April/025320.html ff

#3 - 2013-05-07 08:48 AM - Patrick Dunford

I can fill in a bit more context from seeeing it first hand. I was originally thinking this was to do with the post all layers feature, but it happens when saving an

individual layer so is not connected with the new post all feature.

What I saw on a map I was working on right now is as soon as I clicked Save, the feature that I had previously delete off the map was reinstated to the

map.

I am aware there is an undo function and I assume the deleted feature is kept in the undo buffer, from where it seems to be being reinstated at a save.

#4 - 2013-05-07 08:54 AM - Patrick Dunford

And it gets worse. There wasn't one previously deleted feature reinstated, there were multiples.

But having re-deleted these features, they were not reinstated again on the next save. It seems quite random.

#5 - 2013-05-24 06:59 PM - Patrick Dunford

And more ... it deletes stuff I just pasted into it.

There hasn't been any comment on this bug for a while, what is the timeframe for resolving it?

#6 - 2013-05-25 05:37 AM - Giovanni Manghi

Patrick Dunford wrote:

what is the timeframe for resolving it?

it must be fixed anyway before 2.0

#7 - 2013-06-23 08:06 PM - Mathieu Pellerin - nIRV

Patric, others, has anyone witnessed this issue in the last few weeks? I did see this issue over a month ago but at the time was unable to come up with

proper steps to reproduce the issue 100% of the time.

Today, I tried editing a shapefile in a variety of ways to see if the duplicate issue is still there, but couldn't reproduce.

#8 - 2013-06-28 01:11 AM - Giovanni Manghi

- Category changed from Vectors to Digitising

#9 - 2013-07-10 03:54 AM - Nathan Woodrow
- Status changed from Open to Closed

- Resolution set to worksforme

Closing this for now as I can't reproduce it here.

#10 - 2013-07-10 04:01 AM - Patrick Dunford

It is data that has been deleted which becomes undeleted at save and I see it all the time.

#11 - 2013-07-10 04:08 AM - Nathan Woodrow

I have been adding and deleting features on a single layer with no duplicate data.  If you lock down a process or some sample data that would be handy.

#12 - 2013-07-10 09:26 AM - Giovanni Manghi

Patrick Dunford wrote:

It is data that has been deleted which becomes undeleted at save and I see it all the time.

Hi Patrick, I have seen this issue in the past, but I'm also not able to replicate it anymore, would you mind add a project with data and the specific steps to

replicate the issue? Or even a screencast would help. cheers.

#13 - 2013-07-25 09:03 AM - Patrick Dunford

It is just completely random and happens in every shapefile layer I can think of. I doubt there is any way any sane person could create a sample.

#14 - 2013-07-25 10:23 AM - Giovanni Manghi

Patrick Dunford wrote:

It is just completely random and happens in every shapefile layer I can think of. I doubt there is any way any sane person could create a sample.

it was probably fixed with #7472
